Page MenuHomePhabricator

Don’t show “Move to Commons” tab on non-existent files
Closed, ResolvedPublic3 Story Points

Description

There is no point in showing the tab on file pages which don’t exist locally, like https://www.mediawiki.org/wiki/File:Abcdefg.png. It should be hidden, just like on files which come from Commons (e.g. https://www.mediawiki.org/wiki/File:Example.svg).

Acceptance Criteria

  • A file page that does not contain a file does not receive a "move to commons" link.

Details

Related Gerrit Patches:
mediawiki/extensions/FileExporter : masterDon't show export tab on nonexistent pages

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJan 17 2019, 7:08 PM
Lea_WMDE updated the task description. (Show Details)May 29 2019, 8:36 AM
Lea_WMDE set the point value for this task to 3.

Change 513045 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileExporter@master] [WIP] Don't show export tab on nonexistent pages

https://gerrit.wikimedia.org/r/513045

awight claimed this task.May 31 2019, 9:51 AM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-05-29 board.

Change 513045 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Don't show export tab on nonexistent pages

https://gerrit.wikimedia.org/r/513045

Not sure how I can test this, i.e. create a file page without a file. So far I did not manage to "get rid of the file". Could you either prepare a page for me on a test wiki, or I double check once it is deployed?

@Lea_WMDE does https://test.wikipedia.org/wiki/File:Example321.jpg do the trick? Its a file page without a file attached to it

Lea_WMDE closed this task as Resolved.Jun 3 2019, 9:59 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-05-29 board.

Any file page which doesn't exist would also trigger the bug, e.g.
https://test.wikipedia.org/wiki/File:Nonexistent.jpg